Index: /branches/HeuristicLab.Problems.GPDL/GenerateFromAtg.cmd
===================================================================
--- /branches/HeuristicLab.Problems.GPDL/GenerateFromAtg.cmd	(revision 9723)
+++ /branches/HeuristicLab.Problems.GPDL/GenerateFromAtg.cmd	(revision 9724)
@@ -1,6 +1,3 @@
-cd %SolutionDir%\Coco-2
-SG  %ProjectDir%\GPDef.atg
-PGT %ProjectDir%\GPDef.atg
+cd %SolutionDir%\CocoR
+Coco -frames . %ProjectDir%\GPDef.atg
 
-cd %ProjectDir%
-move %SolutionDir%\Coco-2\*.cs .
Index: /branches/HeuristicLab.Problems.GPDL/GpdlCompiler/Program.cs
===================================================================
--- /branches/HeuristicLab.Problems.GPDL/GpdlCompiler/Program.cs	(revision 9723)
+++ /branches/HeuristicLab.Problems.GPDL/GpdlCompiler/Program.cs	(revision 9724)
@@ -1,5 +1,3 @@
-﻿// ATTENTION: Replace all occurences of GpdlCompiler by the compiler name! 
-
-// GpdlCompiler.cs                                                        HDO, 2006-08-28
+﻿// GpdlCompiler.cs                                                        HDO, 2006-08-28
 // -----
 // Main program for compiler generated from GpdlCompiler.atg with Coco-2.
@@ -7,158 +5,17 @@
 
 using System;
-using System.IO;
-
-using Lex = GPDefLex;
-using Syn = GPDefSyn;
+using HeuristicLab.Problems.GPDL;
 
 public class GpdlCompiler {
 
-  private static String NAME = "GpdlCompiler";
-  private static bool interactiveMode;
-
-  private static void Abort(String abortKind, String moduleName,
-                            String methName, String descr) {
-    Console.WriteLine();
-    Console.WriteLine("*** {0} in class {1} method {2}",
-                      abortKind, moduleName, methName);
-    Console.WriteLine("*** {0}", descr);
-    Console.WriteLine();
-    Console.WriteLine();
-    Console.WriteLine(NAME + " aborted");
-    Utils.Modules(Utils.ModuleAction.cleanupModule);
-    if (interactiveMode) {
-      Console.Write("type [CR] to quit");
-      string dummy = Console.ReadLine();
-    } // if
-    Environment.Exit(Utils.EXIT_FAILURE);
-  } // Abort
-
-  private static int CompileFile(String srcFileName) {
-    FileStream srcFs = null;
-    try {
-      srcFs = new FileStream(srcFileName, FileMode.Open);
-    }
-    catch (Exception) {
-      Console.WriteLine("*** file \"{0}\" not found", srcFileName);
-      return Utils.EXIT_FAILURE;
-    } // try/catch
-    try {
-      Lex.src = new StreamReader(srcFs);
-      Console.WriteLine("parsing ...");
-      Syn.Parse();
-      Lex.src.Close();
-      Lex.src.Dispose();
-      Lex.src = null;
-      if (Errors.NumOfErrors() > 0) {
-        Console.WriteLine("listing ...");
-        String lstFileName = Path.ChangeExtension(srcFileName, ".lst");
-        FileStream lstFs = null;
-        try {
-          lstFs = new FileStream(lstFileName, FileMode.Create);
-        }
-        catch (Exception) {
-          Utils.FatalError(NAME, "CompileFile", "file \"{0}\" not created", lstFileName);
-          return Utils.EXIT_FAILURE;
-        } // try/catch
-        StreamWriter lstWriter = null;
-        try {
-          lstWriter = new StreamWriter(lstFs);
-          StreamReader srcFsReader = null;
-          try { // open the source file a second time to generate the error listing
-            srcFsReader = new StreamReader(new FileStream(srcFileName, FileMode.Open));
-            lstWriter.WriteLine(NAME + " (file: \"{0}\")", srcFileName);
-            Errors.GenerateListing(srcFsReader, lstWriter, Errors.ListingShape.longListing);
-          }
-          finally {
-            srcFsReader.Close();
-            srcFsReader.Dispose();
-          } // try/finally
-          Console.WriteLine("{0} error(s) detected", Errors.NumOfErrors());
-        }
-        finally {
-          lstWriter.Close();
-          lstWriter.Dispose();
-        } // try/finally
-      } else
-        Console.WriteLine("no errors detected");
-    }
-    finally {
-      if (Lex.src != null) {
-        Lex.src.Close();
-        Lex.src.Dispose();
-        Lex.src = null;
-      } // if
-      Utils.Modules(Utils.ModuleAction.resetModule);
-    } // try/finally to make sure srcFs and srcReader are closed
-    return Utils.EXIT_SUCCESS;
-  } // CompileFile
-
-
   public static void Main(String[] args) {
     //-----------------------------------|----------------------------------------
-    int result = 0;
+    if (args.Length > 0) {
+      Scanner scanner = new Scanner(args[0]);
+      Parser parser = new Parser(scanner);
+      parser.Parse();
+    } else
+      Console.WriteLine("-- No source file specified");
+  }
 
-    // --- install modules ---
-    Utils.InstallModule("Utils", new Utils.ModuleMethodDelegate(Utils.UtilsMethod));
-    Utils.InstallModule("Sets", new Utils.ModuleMethodDelegate(Sets.SetsMethod));
-    Utils.InstallModule("Errors", new Utils.ModuleMethodDelegate(Errors.ErrorsMethod));
-
-    Utils.InstallModule("GPDefLex", new Utils.ModuleMethodDelegate(GPDefLex.GPDefLexMethod));
-    Utils.InstallModule("GPDefSem", new Utils.ModuleMethodDelegate(GPDefSem.GPDefSemMethod));
-    Utils.InstallModule("GPDefSyn", new Utils.ModuleMethodDelegate(GPDefSyn.GPDefSynMethod));
-
-    // --- initialize modules ---
-    Utils.Modules(Utils.ModuleAction.initModule);
-
-    Errors.PushAbortMethod(new Errors.AbortMethod(Abort));
-
-    Console.WriteLine("---------------------------");
-    Console.WriteLine(" {0} Compiler {1," + (5 - NAME.Length) + "} Version X  ", NAME, "");
-    Console.WriteLine(" Frontend gen. with Coco-2");
-    Console.WriteLine("---------------------------");
-    Console.WriteLine();
-
-    if (args.Length > 0) { // command line mode
-      interactiveMode = false;
-      Console.WriteLine();
-      int i = 0;
-      do {
-        Console.WriteLine("source file \"{0}\"", args[i]);
-        result = CompileFile(args[i]);
-        if (result != Utils.EXIT_SUCCESS)
-          Environment.Exit(result);
-        Console.WriteLine();
-        i++;
-      } while (i < args.Length);
-    } else { // args.Length == 0, interactive mode
-      interactiveMode = true;
-      for (; ; ) {
-        String srcFileName;
-        Utils.GetInputFileName("source file > ", out srcFileName);
-        if (srcFileName.Length > 0) {
-          result = CompileFile(srcFileName);
-          if (result != Utils.EXIT_SUCCESS)
-            Environment.Exit(result);
-        } // if
-        char answerCh;
-        do {
-          Console.WriteLine();
-          Console.Write("[c]ontinue or [q]uit > ");
-          answerCh = Char.ToUpper(Console.ReadKey().KeyChar);
-        } while (answerCh != 'C' && answerCh != 'Q');
-        if (answerCh == 'Q')
-          break;
-        else // answerCh == 'C'
-          Console.WriteLine();
-      } // for
-    } // else
-
-    Utils.Modules(Utils.ModuleAction.cleanupModule);
-    Environment.Exit(Utils.EXIT_SUCCESS);
-
-  } // Main
-
-} // GpdlCompiler
-
-// End of GpdlCompiler.cs
-//=====================================|========================================
+}
Index: /branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/CodeEditor.xaml.cs
===================================================================
--- /branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/CodeEditor.xaml.cs	(revision 9723)
+++ /branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/CodeEditor.xaml.cs	(revision 9724)
@@ -57,8 +57,8 @@
     }
 
-    private void textEditor_MouseWheel(object sender, System.Windows.Input.MouseWheelEventArgs e) {
+    private void textEditor_MouseWheel(object sender, MouseWheelEventArgs e) {
     }
 
-    private void textEditor_KeyDown(object sender, System.Windows.Input.KeyEventArgs e) {
+    private void textEditor_KeyDown(object sender, KeyEventArgs e) {
       if (e.Key == Key.LeftCtrl || e.Key == Key.RightCtrl) controlHeld = true;
     }
@@ -70,15 +70,15 @@
     internal void SetLexError(string msg, int line, int col) {
       errorLineTransformer.MarkLexError(msg, line, col);
-      textEditor.InvalidateVisual();
+      textEditor.TextArea.TextView.Redraw();
     }
 
     internal void SetSynError(string msg, int line, int col) {
       errorLineTransformer.MarkSynError(msg, line, col);
-      textEditor.InvalidateVisual();
+      textEditor.TextArea.TextView.Redraw();
     }
 
     internal void ClearErrors() {
       errorLineTransformer.ClearErrors();
-      textEditor.InvalidateVisual();
+      textEditor.TextArea.TextView.Redraw();
     }
 
Index: /branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/GpdlEditor.cs
===================================================================
--- /branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/GpdlEditor.cs	(revision 9723)
+++ /branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/GpdlEditor.cs	(revision 9724)
@@ -2,4 +2,5 @@
 using System.IO;
 using System.Linq;
+using System.Text;
 using HeuristicLab.MainForm.WindowsForms;
 using HeuristicLab.Problems.Instances;
@@ -19,41 +20,42 @@
 
     private void compileButton_Click(object sender, EventArgs e) {
-      Utils.InstallModule("Utils", Utils.UtilsMethod);
-      Utils.InstallModule("Sets", Sets.SetsMethod);
-      Utils.InstallModule("Errors", Errors.ErrorsMethod);
+      //Utils.InstallModule("Utils", Utils.UtilsMethod);
+      //Utils.InstallModule("Sets", Sets.SetsMethod);
+      //Utils.InstallModule("Errors", Errors.ErrorsMethod);
 
-      Utils.InstallModule("GPDefLex", GPDefLex.GPDefLexMethod);
-      Utils.InstallModule("GPDefSem", GPDefSem.GPDefSemMethod);
-      Utils.InstallModule("GPDefSyn", GPDefSyn.GPDefSynMethod);
+      //Utils.InstallModule("GPDefLex", GPDefLex.GPDefLexMethod);
+      //Utils.InstallModule("GPDefSem", GPDefSem.GPDefSemMethod);
+      //Utils.InstallModule("GPDefSyn", GPDefSyn.GPDefSynMethod);
 
-      // --- initialize modules ---
-      Utils.Modules(Utils.ModuleAction.initModule);
+      //// --- initialize modules ---
+      //Utils.Modules(Utils.ModuleAction.initModule);
 
-      Errors.PushAbortMethod(new Errors.AbortMethod(Abort));
+      //Errors.PushAbortMethod(new Errors.AbortMethod(Abort));
 
-      using (var src = new StringReader(codeEditor.textEditor.Text)) {
-        GPDefLex.src = src;
-        GPDefSyn.Parse();
+      using (var src = new MemoryStream(Encoding.UTF8.GetBytes(codeEditor.textEditor.Text))) {
+        Scanner scanner = new Scanner(src);
+        Parser parser = new Parser(scanner);
+        parser.Parse();
       }
 
       codeEditor.ClearErrors();
 
-      if (Errors.NumOfErrors() == 0) {
-        GPDefLex.InitLex();
-        GPDefSyn.Interpret();
+      //if (Errors.NumOfErrors() == 0) {
+      //  GPDefLex.InitLex();
+      //  GPDefSyn.Interpret();
 
-        MainForm.MainFormManager.MainForm.ShowContent(GPDefSem.problem);
-      } else {
-        int nLexErrors = Errors.NumOfLexErrors();
-        for (int i = 0; i < nLexErrors; i++) {
-          var lexErr = Errors.GetLexError(i == 0);
-          codeEditor.SetLexError(lexErr.msg, lexErr.line, lexErr.col);
-        }
-        int nSynErrors = Errors.NumOfSynErrors();
-        for (int i = 0; i < nSynErrors; i++) {
-          var synErr = Errors.GetSynError(i == 0);
-          codeEditor.SetLexError(synErr.msg, synErr.line, synErr.col);
-        }
-      }
+      //  MainForm.MainFormManager.MainForm.ShowContent(GPDefSem.problem);
+      //} else {
+      //  int nLexErrors = Errors.NumOfLexErrors();
+      //  for (int i = 0; i < nLexErrors; i++) {
+      //    var lexErr = Errors.GetLexError(i == 0);
+      //    codeEditor.SetLexError(lexErr.msg, lexErr.line, lexErr.col);
+      //  }
+      //  int nSynErrors = Errors.NumOfSynErrors();
+      //  for (int i = 0; i < nSynErrors; i++) {
+      //    var synErr = Errors.GetSynError(i == 0);
+      //    codeEditor.SetLexError(synErr.msg, synErr.line, synErr.col);
+      //  }
+      //}
     }
 
